Package wx :: Class ImageHandler

[frames | no frames]

## Type ImageHandler

    object --+
             |
        Object --+
                 |
                ImageHandler

Known Subclasses:
  `BMPHandler`, `GIFHandler`, `JPEGHandler`, `PCXHandler`, `PNGHandler`, `PNMHandler`, `PyImageHandler`, `TGAHandler`, `TIFFHandler`, `XPMHandler`

This is the base class for implementing image file loading/saving, and image creation from data. It is used within `wx.Image` and is not normally seen by the application.

Method Summary
| `__init__(self)`
bool | `CanRead(self, name)`
bool | `CanReadStream(self, stream)`
String | `GetExtension(self)`
String | `GetMimeType(self)`
String | `GetName(self)`
long | `GetType(self)`
| `SetExtension(self, extension)`
| `SetMimeType(self, mimetype)`
| `SetName(self, name)`
| `SetType(self, type)`

Property Summary
| `Extension`: See `GetExtension` and `SetExtension`
| `MimeType`: See `GetMimeType` and `SetMimeType`
| `Name`: See `GetName` and `SetName`
| `thisown`: The membership flag
| `Type`: See `GetType` and `SetType`

Property Details

### Extension

See `GetExtension` and `SetExtension`

  Get Method:
    `GetExtension`(self)
  Set Method:
    `SetExtension`(self, extension)

### MimeType

See `GetMimeType` and `SetMimeType`

  Get Method:
    `GetMimeType`(self)
  Set Method:
    `SetMimeType`(self, mimetype)

### Name

See `GetName` and `SetName`

  Get Method:
    `GetName`(self)
  Set Method:
    `SetName`(self, name)

### thisown

The membership flag

### Type

See `GetType` and `SetType`

  Get Method:
    `GetType`(self)
  Set Method:
    `SetType`(self, type)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:31 2007 | http://epydoc.sf.net